> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/entities/catalog-item/catalogitem-create.md).

# Create a catalog item

## Create catalog item

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/catalog-item`

This endpoint allows you to create a new catalog item.

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                | Type   | Description                                                           |
| ------------------- | ------ | --------------------------------------------------------------------- |
| title               | string | The title of the new catalog item.                                    |
| template            | object | The template of the new catalog item.                                 |
| template.templateId | string | The unique ID of the template to assign to the catalog item.          |
| characteristics     | object | The field values to assign to the catalog item.                       |
| parentRelationship  | array  | Create this catalog item as a child of a deal or other catalog items. |

{% tabs %}
{% tab title="200 Catalog item created successfully.  Returns the ID of the newly created catalog item." %}

```
302
```

{% endtab %}

{% tab title="400 Request is missing required information, or the information is invalid." %}

```javascript
{
  "message": "TemplateId is required"
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```javascript
{
    "title": "The Three Stooges",
    "template": {
        "templateId": 1
    },
    "characteristics": {
        "notes": "This is a great movie!",
        "release_year": 1925
    },
    "parentRelationship": [
        {
            "parentCharTypeId": 4,
            "parentRecordId": 100
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/catalog-item/catalogitem-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
